## libimobiledevice 1.1.6+dfsg

=== docs/Makefile ===
# Makefile.in generated by automake 1.13.4 from Makefile.am.
# docs/Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994-2013 Free Software Foundation, Inc.

# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.



am__is_gnu_make = test -n '$(MAKEFILE_LIST)' && test -n '$(MAKELEVEL)'
am__make_running_with_option = \
  case $${target_option-} in \
      ?) ;; \
      *) echo "am__make_running_with_option: internal error: invalid" \
              "target option '$${target_option-}' specified" >&2; \
         exit 1;; \
  esac; \
  has_opt=no; \
  sane_makeflags=$$MAKEFLAGS; \
  if $(am__is_gnu_make); then \
    sane_makeflags=$$MFLAGS; \
  else \
    case $$MAKEFLAGS in \
      *\\[\ \	]*) \
        bs=\\; \
        sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
          | sed "s/$$bs$$bs[$$bs $$bs	]*//g"`;; \
    esac; \
  fi; \
  skip_next=no; \
  strip_trailopt () \
  { \
    flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
  }; \
  for flg in $$sane_makeflags; do \
    test $$skip_next = yes && { skip_next=no; continue; }; \
    case $$flg in \
      *=*|--*) continue;; \
        -*I) strip_trailopt 'I'; skip_next=yes;; \
      -*I?*) strip_trailopt 'I';; \
        -*O) strip_trailopt 'O'; skip_next=yes;; \
      -*O?*) strip_trailopt 'O';; \
        -*l) strip_trailopt 'l'; skip_next=yes;; \
      -*l?*) strip_trailopt 'l';; \
      -[dEDm]) skip_next=yes;; \
      -[JT]) skip_next=yes;; \
    esac; \
    case $$flg in \
      *$$target_option*) has_opt=yes; break;; \
    esac; \
  done; \
  test $$has_opt = yes
am__make_dryrun = (target_option=n; $(am__make_running_with_option))
am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
pkgdatadir = $(datadir)/libimobiledevice
pkgincludedir = $(includedir)/libimobiledevice
pkglibdir = $(libdir)/libimobiledevice
pkglibexecdir = $(libexecdir)/libimobiledevice
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = i686-pc-linux-gnu
host_triplet = i686-pc-linux-gnu
subdir = docs
DIST_COMMON = $(srcdir)/Makefile.in $(srcdir)/Makefile.am
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/m4/ac_pkg_cython.m4 \
	$(top_srcdir)/m4/ac_python_devel.m4 \
	$(top_srcdir)/m4/as-compiler-flag.m4 \
	$(top_srcdir)/m4/cython_python.m4 $(top_srcdir)/m4/libtool.m4 \
	$(top_srcdir)/m4/ltoptions.m4 $(top_srcdir)/m4/ltsugar.m4 \
	$(top_srcdir)/m4/ltversion.m4 $(top_srcdir)/m4/lt~obsolete.m4 \
	$(top_srcdir)/configure.ac
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
mkinstalldirs = $(install_sh) -d
CONFIG_HEADER = $(top_builddir)/config.h
CONFIG_CLEAN_FILES =
CONFIG_CLEAN_VPATH_FILES =
AM_V_P = $(am__v_P_$(V))
am__v_P_ = $(am__v_P_$(AM_DEFAULT_VERBOSITY))
am__v_P_0 = false
am__v_P_1 = :
AM_V_GEN = $(am__v_GEN_$(V))
am__v_GEN_ = $(am__v_GEN_$(AM_DEFAULT_VERBOSITY))
am__v_GEN_0 = @echo "  GEN     " $@;
am__v_GEN_1 = 
AM_V_at = $(am__v_at_$(V))
am__v_at_ = $(am__v_at_$(AM_DEFAULT_VERBOSITY))
am__v_at_0 = @
am__v_at_1 = 
SOURCES =
DIST_SOURCES =
am__can_run_installinfo = \
  case $$AM_UPDATE_INFO_DIR in \
    n|no|NO) false;; \
    *) (install-info --version) >/dev/null 2>&1;; \
  esac
am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
am__vpath_adj = case $$p in \
    $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
    *) f=$$p;; \
  esac;
am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
am__install_max = 40
am__nobase_strip_setup = \
  srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
am__nobase_strip = \
  for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
am__nobase_list = $(am__nobase_strip_setup); \
  for p in $$list; do echo "$$p $$p"; done | \
  sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
  $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
    if (++n[$$2] == $(am__install_max)) \
      { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
    END { for (dir in files) print dir, files[dir] }'
am__base_list = \
  sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
  sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
am__uninstall_files_from_dir = { \
  test -z "$$files" \
    || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
    || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
         $(am__cd) "$$dir" && rm -f $$files; }; \
  }
man1dir = $(mandir)/man1
am__installdirs = "$(DESTDIR)$(man1dir)"
NROFF = nroff
MANS = $(man_MANS)
am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
ACLOCAL = ${SHELL} /home/mszulecki/Documents/Software/libimobiledevice/missing aclocal-1.13
AMTAR = $${TAR-tar}
AM_DEFAULT_VERBOSITY = 0
AR = ar
AUTOCONF = ${SHELL} /home/mszulecki/Documents/Software/libimobiledevice/missing autoconf
AUTOHEADER = ${SHELL} /home/mszulecki/Documents/Software/libimobiledevice/missing autoheader
AUTOMAKE = ${SHELL} /home/mszulecki/Documents/Software/libimobiledevice/missing automake-1.13
AWK = gawk
CC = gcc
CCDEPMODE = depmode=gcc3
CFLAGS = -g -O2
CPP = gcc -E
CPPFLAGS = 
CXX = g++
CXXCPP = g++ -E
CXXDEPMODE = depmode=gcc3
CXXFLAGS = -g -O2
CYGPATH_W = echo
CYTHON = /usr/bin/cython
CYTHON_LIB = 
CYTHON_PLIST_INCLUDE_DIR = /usr/include/plist/cython
CYTHON_PYTHON_CPPFLAGS = -I/usr/include/python2.7
CYTHON_PYTHON_OPT = -python
CYTHON_SUB = cython
DEFS = -DHAVE_CONFIG_H
DEPDIR = .deps
DEV_SUB = dev
DLLTOOL = false
DSYMUTIL = 
DUMPBIN = 
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = /usr/bin/grep -E
EXEEXT = 
FGREP = /usr/bin/grep -F
GLOBAL_CFLAGS =   -Wall -Wextra -Wmissing-declarations -Wredundant-decls -Wshadow -Wpointer-arith -Wwrite-strings -Wswitch-default -Wno-unused-parameter -fsigned-char
GREP = /usr/bin/grep
INSTALL = /usr/bin/install -c
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
LD = /usr/i586-suse-linux/bin/ld
LDFLAGS = 
LFS_CFLAGS =  -D_FILE_OFFSET_BITS=64 -D_LARGE_FILES=1
LIBIMOBILEDEVICE_SO_VERSION = 4:1:0
LIBOBJS = 
LIBPLISTMM_VERSION = 1.11
LIBPLIST_VERSION = 1.11
LIBS = 
LIBTOOL = $(SHELL) $(top_builddir)/libtool
LIBUSBMUXD_VERSION = 1.0.9
LIPO = 
LN_S = ln -s
LTLIBOBJS = 
MAKEINFO = ${SHELL} /home/mszulecki/Documents/Software/libimobiledevice/missing makeinfo
MANIFEST_TOOL = :
MKDIR_P = /usr/bin/mkdir -p
NM = /usr/bin/nm -B
NMEDIT = 
OBJDUMP = objdump
OBJEXT = o
OTOOL = 
OTOOL64 = 
PACKAGE = libimobiledevice
PACKAGE_BUGREPORT = nospam@nowhere.com
PACKAGE_NAME = libimobiledevice
PACKAGE_STRING = libimobiledevice 1.1.6
PACKAGE_TARNAME = libimobiledevice
PACKAGE_URL = 
PACKAGE_VERSION = 1.1.6
PATH_SEPARATOR = :
PKG_CONFIG = /usr/bin/pkg-config
PKG_CONFIG_LIBDIR = 
PKG_CONFIG_PATH = 
PYTHON = /usr/bin/python
PYTHON_CPPFLAGS = -I/usr/include/python2.7
PYTHON_EXEC_PREFIX = ${exec_prefix}
PYTHON_EXTRA_LDFLAGS = -Xlinker -export-dynamic
PYTHON_EXTRA_LIBS = ('', '-lpthread -ldl  -lutil')
PYTHON_LDFLAGS = -L/usr/lib/python2.7 -lpython2.7
PYTHON_PLATFORM = linux2
PYTHON_PREFIX = ${prefix}
PYTHON_SITE_PKG = /usr/lib/python2.7/site-packages
PYTHON_VERSION = 2.7
RANLIB = ranlib
SED = /usr/bin/sed
SET_MAKE = 
SHELL = /bin/sh
STRIP = strip
VERSION = 1.1.6
WINDRES = 
abs_builddir = /home/mszulecki/Documents/Software/libimobiledevice/docs
abs_srcdir = /home/mszulecki/Documents/Software/libimobiledevice/docs
abs_top_builddir = /home/mszulecki/Documents/Software/libimobiledevice
abs_top_srcdir = /home/mszulecki/Documents/Software/libimobiledevice
ac_ct_AR = ar
ac_ct_CC = gcc
ac_ct_CXX = g++
ac_ct_DUMPBIN = 
am__include = include
am__leading_dot = .
am__quote = 
am__tar = $${TAR-tar} chof - "$$tardir"
am__untar = $${TAR-tar} xf -
bindir = ${exec_prefix}/bin
build = i686-pc-linux-gnu
build_alias = 
build_cpu = i686
build_os = linux-gnu
build_vendor = pc
builddir = .
datadir = ${datarootdir}
datarootdir = ${prefix}/share
docdir = ${datarootdir}/doc/${PACKAGE_TARNAME}
dvidir = ${docdir}
exec_prefix = ${prefix}
host = i686-pc-linux-gnu
host_alias = 
host_cpu = i686
host_os = linux-gnu
host_vendor = pc
htmldir = ${docdir}
includedir = ${prefix}/include
infodir = ${datarootdir}/info
install_sh = ${SHELL} /home/mszulecki/Documents/Software/libimobiledevice/install-sh
libdir = ${exec_prefix}/lib
libexecdir = ${exec_prefix}/lib
libgcrypt_LIBS = 
libgnutls_CFLAGS = 
libgnutls_LIBS = 
libplist_CFLAGS = -I/usr/include/libxml2 
libplist_LIBS = -lplist 
libplistmm_CFLAGS = -I/usr/include/libxml2 
libplistmm_LIBS = -lplist++ -lplist 
libpthread_LIBS = -lpthread
libtasn1_CFLAGS = 
libtasn1_LIBS = 
libusbmuxd_CFLAGS = 
libusbmuxd_LIBS = -lusbmuxd 
localedir = ${datarootdir}/locale
localstatedir = ${prefix}/var
mandir = ${datarootdir}/man
mkdir_p = $(MKDIR_P)
oldincludedir = /usr/include
openssl_CFLAGS = -DOPENSSL_LOAD_CONF 
openssl_LIBS = -lssl -lcrypto 
pdfdir = ${docdir}
pkgpyexecdir = ${pyexecdir}/libimobiledevice
pkgpythondir = ${pythondir}/libimobiledevice
prefix = /usr
program_transform_name = s,x,x,
psdir = ${docdir}
pyexecdir = ${exec_prefix}/lib/python2.7/site-packages
pythondir = ${prefix}/lib/python2.7/site-packages
sbindir = ${exec_prefix}/sbin
sharedstatedir = ${prefix}/com
srcdir = .
ssl_requires = openssl >= 0.9.8
sysconfdir = ${prefix}/etc
target_alias = 
top_build_prefix = ../
top_builddir = ..
top_srcdir = ..
man_MANS = idevice_id.1 ideviceinfo.1 idevicesyslog.1 idevicebackup.1 idevicebackup2.1 ideviceimagemounter.1 idevicescreenshot.1 idevicepair.1 ideviceenterrecovery.1 idevicedate.1 ideviceprovision.1 idevicedebugserverproxy.1 idevicediagnostics.1 idevicecrashreport.1 idevicename.1
EXTRA_DIST = $(man_MANS)
DISTCLEANFILES = html/* html
all: all-am

.SUFFIXES:
$(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
	@for dep in $?; do \
	  case '$(am__configure_deps)' in \
	    *$$dep*) \
	      ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
	        && { if test -f $@; then exit 0; else break; fi; }; \
	      exit 1;; \
	  esac; \
	done; \
	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu docs/Makefile'; \
	$(am__cd) $(top_srcdir) && \
	  $(AUTOMAKE) --gnu docs/Makefile
.PRECIOUS: Makefile
Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
	@case '$?' in \
	  *config.status*) \
	    cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
	  *) \
	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
	    cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
	esac;

$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh

$(top_srcdir)/configure:  $(am__configure_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(ACLOCAL_M4):  $(am__aclocal_m4_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(am__aclocal_m4_deps):

mostlyclean-libtool:
	-rm -f *.lo

clean-libtool:
	-rm -rf .libs _libs
install-man1: $(man_MANS)
	@$(NORMAL_INSTALL)
	@list1=''; \
	list2='$(man_MANS)'; \
	test -n "$(man1dir)" \
	  && test -n "`echo $$list1$$list2`" \
	  || exit 0; \
	echo " $(MKDIR_P) '$(DESTDIR)$(man1dir)'"; \
	$(MKDIR_P) "$(DESTDIR)$(man1dir)" || exit 1; \
	{ for i in $$list1; do echo "$$i"; done;  \
	if test -n "$$list2"; then \
	  for i in $$list2; do echo "$$i"; done \

=== debian/changelog ===
libimobiledevice (1.1.6+dfsg-3.1ubuntu0.1) wily-security; urgency=medium

  * SECURITY UPDATE: incorrectly bound listening socket
    - debian/patches/CVE-2016-5104.patch: use INADDR_LOOPBACK in
      common/socket.c.
    - CVE-2016-5104

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Thu, 02 Jun 2016 09:49:43 -0400

libimobiledevice (1.1.6+dfsg-3.1build1) wily; urgency=medium

  * No change rebuild for the new libplist soname

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 23 Jul 2015 18:26:31 +0200

libimobiledevice (1.1.6+dfsg-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/control: Switch libgnutls-dev in libimobiledevice-dev's Depends to
    libgnutls28-dev to reflect Build-Depends changes. (Closes: #747536)

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 17 Aug 2014 12:23:29 +0200

libimobiledevice (1.1.6+dfsg-3) unstable; urgency=medium

  * Team upload
  * [1855046] Update gnutls and gcrypt build-deps (Closes: #747536)

 -- Chow Loong Jin <hyperair@debian.org>  Wed, 23 Jul 2014 16:01:23 +0800

libimobiledevice (1.1.6+dfsg-2) unstable; urgency=medium

  * [169b453] Fix libimobiledevice-utils.manpages.
     - Drop duplicate idevicebackup.1 entry
     - Add idevicename.1 and idevicecrashreport.1
    Thanks to Artur Rona (Closes: #750955)
  * [583a454] Fix dependency on transitional libtasn1-3-dev package
    (Closes: #731707)

 -- Chow Loong Jin <hyperair@debian.org>  Mon, 23 Jun 2014 14:43:38 +0800

libimobiledevice (1.1.6+dfsg-1) unstable; urgency=medium

  * Team upload
  * [51f7f7a] Imported Upstream version 1.1.6
  * [ed48bf8] Update build-dependencies
  * [052c1b3] Bump Standards-Version to 3.9.5 (no changes required)
  * [b89ebca] Refresh patches
  * [dbe83f7] Build-dep on libtasn-1-6-dev instead of libtasn-1-3-dev
    (Closes: #731707)
  * [09293bb] Downgrade usbmuxd dependency to recommends and suggest
    libusbmuxd-tools
    (Closes: #658541)
  * [0a602f1] Use symbol script to hide private symbols
  * [f85dcf3] Update symbols file.
    Drop private symbols, and add new symbols
  * [7338f73] Drop unused patches
  * [99e4676] Exclude jquery.js
  * [64e7829] Update copyright file

 -- Chow Loong Jin <hyperair@debian.org>  Mon, 14 Apr 2014 02:22:41 +0800

=== debian/control ===
Source: libimobiledevice
Section: libs
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: gtkpod Maintainers <pkg-gtkpod-devel@lists.alioth.debian.org>
Uploaders: Julien Lavergne <julien.lavergne@gmail.com>
Standards-Version: 3.9.5
Build-Depends: debhelper (>= 9),
               libgnutls28-dev,
               libgcrypt20-dev,
               libusb-1.0-0-dev (>= 1.0.3) [linux-any],
               libglib2.0-dev (>= 2.14.1),
               libplist-dev (>= 1.11),
               libplist++-dev (>= 1.11),
               python-all-dev (>= 2.6.6-3~),
               cython (>= 0.17.0),
               libusbmuxd-dev (>= 1.0.9),
               libtasn1-6-dev (>= 1.1),
               libreadline-dev,
               python-plist (>= 1.8-2~),
               dh-autoreconf
X-Python-Version: >= 2.3
Homepage: http://libimobiledevice.org/
Vcs-Git: git://git.debian.org/git/pkg-gtkpod/packages/libimobiledevice.git
Vcs-Browser: http://git.debian.org/?p=pkg-gtkpod/packages/libimobiledevice.git
DM-Upload-Allowed: yes

Package: libimobiledevice4
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends},
         ${misc:Depends},
Recommends: usbmuxd
Suggests: libusbmuxd-tools
Conflicts: libiphone0
Replaces: libiphone0, libimobiledevice1, libimobiledevice0
Description: Library for communicating with the iPhone and iPod Touch
 libimobiledevice is a library that talks the native Apple USB protocols that
 the iPhone and iPod Touch use. Unlike other projects, libimobiledevice does
 not depend on using any existing libraries from Apple.

Package: libimobiledevice-dev
Architecture: any
Multi-Arch: foreign
Section: libdevel
Depends: libimobiledevice4 (= ${binary:Version}),
         ${misc:Depends},
         libglib2.0-dev,
         libplist-dev,
         libusbmuxd-dev,
         libgnutls28-dev,
         libtasn1-6-dev
Description: Library for communicating with iPhone and iPod Touch devices
 libimobiledevice is a library that talks the native Apple USB protocols that
 the iPhone and iPod Touch use. Unlike other projects, libimobiledevice does
 not depend on using any existing libraries from Apple.
 .
 This package contains the development files.

Package: libimobiledevice4-dbg
Architecture: any
Multi-Arch: same
Section: debug
Priority: extra
Pre-Depends: ${misc:Pre-Depends}
Depends: libimobiledevice4 (= ${binary:Version}),
         ${misc:Depends}
Conflicts: libimobiledevice3-dbg, libimobiledevice2-dbg,
  libimobiledevice1-dbg, libimobiledevice0-dbg
Replaces: libimobiledevice3-dbg, libimobiledevice2-dbg,
  libimobiledevice1-dbg, libimobiledevice0-dbg
Description: Library for communicating with iPhone and iPod Touch devices
 libimobiledevice is a library that talks the native Apple USB protocols that
 the iPhone and iPod Touch use. Unlike other projects, libimobiledevice does
 not depend on using any existing libraries from Apple.
 .
 This package contains the debugging symbols.

Package: python-imobiledevice
Section: python
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${python:Depends}
Provides: ${python:Provides}
Conflicts: python-libiphone, python-iphone
Replaces: python-libiphone, python-iphone
Description: Library for communicating with iPhone and iPod Touch devices
 libimobiledevice is a library that talks the native Apple USB protocols that
 the iPhone and iPod Touch use. Unlike other projects, libimobiledevice does
 not depend on using any existing libraries from Apple.
 .
 This package contains the Python bindings

Package: libimobiledevice-utils
Architecture: any
Section: utils
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: Library for communicating with iPhone and iPod Touch devices
 libimobiledevice is a library that talks the native Apple USB protocols that
 the iPhone and iPod Touch use. Unlike other projects, libimobiledevice does
 not depend on using any existing libraries from Apple.
 .
 This package contains utilities and examples which use libimobiledevice.

Package: libimobiledevice-doc
Architecture: all
Section: doc
Depends: libjs-jquery, ${misc:Depends}
Description: Library for communicating with iPhone and iPod Touch devices
 libimobiledevice is a library that talks the native Apple USB protocols that
 the iPhone and iPod Touch use. Unlike other projects, libimobiledevice does
 not depend on using any existing libraries from Apple.
 .
 This package contains the documentation for the library.

## libimobiledevice 1.2.0+dfsg

=== docs/Makefile ===
--- 
+++ 
@@ -171,7 +171,6 @@
 CYTHON_SUB = cython
 DEFS = -DHAVE_CONFIG_H
 DEPDIR = .deps
-DEV_SUB = dev
 DLLTOOL = false
 DSYMUTIL = 
 DUMPBIN = 
@@ -181,7 +180,7 @@
 EGREP = /usr/bin/grep -E
 EXEEXT = 
 FGREP = /usr/bin/grep -F
-GLOBAL_CFLAGS =   -Wall -Wextra -Wmissing-declarations -Wredundant-decls -Wshadow -Wpointer-arith -Wwrite-strings -Wswitch-default -Wno-unused-parameter -fsigned-char
+GLOBAL_CFLAGS =   -Wall -Wextra -Wmissing-declarations -Wredundant-decls -Wshadow -Wpointer-arith -Wwrite-strings -Wswitch-default -Wno-unused-parameter -fsigned-char -fvisibility=hidden
 GREP = /usr/bin/grep
 INSTALL = /usr/bin/install -c
 INSTALL_DATA = ${INSTALL} -m 644
@@ -191,7 +190,7 @@
 LD = /usr/i586-suse-linux/bin/ld
 LDFLAGS = 
 LFS_CFLAGS =  -D_FILE_OFFSET_BITS=64 -D_LARGE_FILES=1
-LIBIMOBILEDEVICE_SO_VERSION = 4:1:0
+LIBIMOBILEDEVICE_SO_VERSION = 6:0:0
 LIBOBJS = 
 LIBPLISTMM_VERSION = 1.11
 LIBPLIST_VERSION = 1.11
@@ -211,12 +210,12 @@
 OTOOL = 
 OTOOL64 = 
 PACKAGE = libimobiledevice
-PACKAGE_BUGREPORT = nospam@nowhere.com
+PACKAGE_BUGREPORT = https://github.com/libimobiledevice/libimobiledevice/issues
 PACKAGE_NAME = libimobiledevice
-PACKAGE_STRING = libimobiledevice 1.1.6
+PACKAGE_STRING = libimobiledevice 1.2.0
 PACKAGE_TARNAME = libimobiledevice
-PACKAGE_URL = 
-PACKAGE_VERSION = 1.1.6
+PACKAGE_URL = http://libimobiledevice.org
+PACKAGE_VERSION = 1.2.0
 PATH_SEPARATOR = :
 PKG_CONFIG = /usr/bin/pkg-config
 PKG_CONFIG_LIBDIR = 
@@ -236,7 +235,7 @@
 SET_MAKE = 
 SHELL = /bin/sh
 STRIP = strip
-VERSION = 1.1.6
+VERSION = 1.2.0
 WINDRES = 
 abs_builddir = /home/mszulecki/Documents/Software/libimobiledevice/docs
 abs_srcdir = /home/mszulecki/Documents/Software/libimobiledevice/docs
@@ -310,7 +309,7 @@
 top_build_prefix = ../
 top_builddir = ..
 top_srcdir = ..
-man_MANS = idevice_id.1 ideviceinfo.1 idevicesyslog.1 idevicebackup.1 idevicebackup2.1 ideviceimagemounter.1 idevicescreenshot.1 idevicepair.1 ideviceenterrecovery.1 idevicedate.1 ideviceprovision.1 idevicedebugserverproxy.1 idevicediagnostics.1 idevicecrashreport.1 idevicename.1
+man_MANS = idevice_id.1 ideviceinfo.1 idevicesyslog.1 idevicebackup.1 idevicebackup2.1 ideviceimagemounter.1 idevicescreenshot.1 idevicepair.1 ideviceenterrecovery.1 idevicedate.1 ideviceprovision.1 idevicedebugserverproxy.1 idevicediagnostics.1 idevicecrashreport.1 idevicename.1 idevicedebug.1 idevicenotificationproxy.1
 EXTRA_DIST = $(man_MANS)
 DISTCLEANFILES = html/* html
 all: all-am
@@ -325,9 +324,9 @@
 	      exit 1;; \
 	  esac; \
 	done; \
-	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu docs/Makefile'; \
+	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign docs/Makefile'; \
 	$(am__cd) $(top_srcdir) && \
-	  $(AUTOMAKE) --gnu docs/Makefile
+	  $(AUTOMAKE) --foreign docs/Makefile
 .PRECIOUS: Makefile
 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
 	@case '$?' in \
@@ -360,7 +359,3 @@
 	  && test -n "`echo $$list1$$list2`" \
 	  || exit 0; \
 	echo " $(MKDIR_P) '$(DESTDIR)$(man1dir)'"; \
-	$(MKDIR_P) "$(DESTDIR)$(man1dir)" || exit 1; \
-	{ for i in $$list1; do echo "$$i"; done;  \
-	if test -n "$$list2"; then \
-	  for i in $$list2; do echo "$$i"; done \

=== debian/changelog ===
libimobiledevice (1.2.0+dfsg-3~ubuntu0.2) xenial-security; urgency=medium

  * No change rebuild for -security pocket.

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Thu, 02 Jun 2016 10:20:15 -0400

libimobiledevice (1.2.0+dfsg-3~ubuntu0.1) xenial; urgency=medium

  * debian/patches/git_gnutls_proxy.patch:
    - Fix installation_proxy when using GnuTLS instead of OpenSSL
      (lp: #1388743)
  * debian/patches/git_local_socket.patch:
    - [security fix] Make sure sockets only listen locally

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 23 May 2016 12:48:38 +0200

libimobiledevice (1.2.0+dfsg-2.1build1) xenial; urgency=medium

  * No-change rebuild for gnutls transition.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 17 Feb 2016 22:26:12 +0000

libimobiledevice (1.2.0+dfsg-2.1) unstable; urgency=medium

  * Non-maintainer upload.

  [ Andreas Metzler ]
  * Apply 0001-Updated-cert-callback-to-gnutls3-API.patch from
    https://github.com/kalev/libimobiledevice/  to fix FTBFS against
    gnutls >= 3.4. Closes: #782828

 -- Mattia Rizzolo <mattia@debian.org>  Mon, 25 Jan 2016 15:01:41 +0000

libimobiledevice (1.2.0+dfsg-2) unstable; urgency=medium

  * Team upload.
  * Reupload to unstable (Closes: #809797)

 -- Chow Loong Jin <hyperair@debian.org>  Mon, 04 Jan 2016 18:37:03 +0800

libimobiledevice (1.2.0+dfsg-1) experimental; urgency=medium

  * Team upload.
  * [b3d792c] Imported Upstream version 1.2.0+dfsg
  * [68cab55] Drop 01-libs.private.patch.
    No longer needed.
  * [9084b8b] Rename lib package for ABI bump
  * [48168a2] Update symbols file

 -- Chow Loong Jin <hyperair@debian.org>  Wed, 04 Feb 2015 15:52:54 +0800

libimobiledevice (1.1.7+dfsg-1) experimental; urgency=medium

  * Team upload.
  * [51f31a3] Imported Upstream version 1.1.7+dfsg
  * [6dace3c] Drop symbol-script patch.
    No longer needed since upstream uses -fvisibility=hidden
  * [c385d6b] Update packaging for soname bump
  * [794ea11] Update symbols file
  * [4945173] Bump Standards-Version to 3.9.6 (no changes)
  * [7b02a17] Build-dep on dh-python
  * [1d52426] Add idevicedebug.1 manpage

 -- Chow Loong Jin <hyperair@debian.org>  Wed, 29 Oct 2014 18:42:40 +0800

libimobiledevice (1.1.6+dfsg-4) unstable; urgency=medium

  * [073ba50] Update libimobiledevice-dev's gcrypt deps.
    Whoops, missed this in the previous upload. (Closes: #747536)

 -- Chow Loong Jin <hyperair@debian.org>  Thu, 24 Jul 2014 16:06:32 +0800

=== debian/control ===
--- 
+++ 
@@ -4,8 +4,9 @@
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: gtkpod Maintainers <pkg-gtkpod-devel@lists.alioth.debian.org>
 Uploaders: Julien Lavergne <julien.lavergne@gmail.com>
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Build-Depends: debhelper (>= 9),
+               dh-python,
                libgnutls28-dev,
                libgcrypt20-dev,
                libusb-1.0-0-dev (>= 1.0.3) [linux-any],
@@ -25,7 +26,7 @@
 Vcs-Browser: http://git.debian.org/?p=pkg-gtkpod/packages/libimobiledevice.git
 DM-Upload-Allowed: yes
 
-Package: libimobiledevice4
+Package: libimobiledevice6
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
@@ -44,12 +45,13 @@
 Architecture: any
 Multi-Arch: foreign
 Section: libdevel
-Depends: libimobiledevice4 (= ${binary:Version}),
+Depends: libimobiledevice6 (= ${binary:Version}),
          ${misc:Depends},
          libglib2.0-dev,
          libplist-dev,
          libusbmuxd-dev,
          libgnutls28-dev,
+         libgcrypt20-dev,
          libtasn1-6-dev
 Description: Library for communicating with iPhone and iPod Touch devices
  libimobiledevice is a library that talks the native Apple USB protocols that
@@ -58,13 +60,13 @@
  .
  This package contains the development files.
 
-Package: libimobiledevice4-dbg
+Package: libimobiledevice6-dbg
 Architecture: any
 Multi-Arch: same
 Section: debug
 Priority: extra
 Pre-Depends: ${misc:Pre-Depends}
-Depends: libimobiledevice4 (= ${binary:Version}),
+Depends: libimobiledevice6 (= ${binary:Version}),
          ${misc:Depends}
 Conflicts: libimobiledevice3-dbg, libimobiledevice2-dbg,
   libimobiledevice1-dbg, libimobiledevice0-dbg

=== debian/rules ===
#!/usr/bin/make -f

export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

configure_flags += \
		--prefix=/usr \
		--sysconfdir=/etc \
		--enable-dev-tools \
		--disable-openssl \
		--disable-silent-rules

%:
	dh $@ --with=python2,autoreconf

override_dh_auto_configure:
	dh_auto_configure -- 	$(configure_flags)

override_dh_install:
	#Remove .la files.
	rm -rf $(CURDIR)/debian/tmp/usr/lib/*/*.la
	rm -rf $(CURDIR)/debian/tmp/usr/lib/python*/*-packages/imobiledevice/*.la
	rm -rf $(CURDIR)/debian/tmp/usr/lib/python*/*-packages/*.la
	#Remove .a files from python bindings.
	rm -rf $(CURDIR)/debian/tmp//usr/lib/python*/dist-packages/imobiledevice/*.a
	rm -rf $(CURDIR)/debian/tmp//usr/lib/python*/dist-packages/*.a
	#Remove installed man pages, installed by *.manpages
	rm -f $(CURDIR)/debian/tmp/usr/share/man/man1/*.1
	dh_install --fail-missing

override_dh_strip:
	dh_strip --dbg-package=libimobiledevice6-dbg

override_dh_python2:
	# Only build for the current version of python, not all supported.
	dh_python2 --no-guessing-versions

override_dh_makeshlibs:
	dh_makeshlibs -- -c4

=== debian/watch ===
version=3
opts=dversionmangle=s/\+dfsg// http://libimobiledevice.org/ downloads/libimobiledevice-(.+)\.tar\.bz2

## libimobiledevice 1.2.0+mx17

=== debian/changelog ===
libimobiledevice (1.2.0+mx17-1) mx; urgency=medium

  * Rebuild with openssl enabled

 -- Timothy E. Harris <maintainer@mxrepo.com>  Fri, 10 Nov 2017 16:54:13 -0500

libimobiledevice (1.2.0-git20171008) mx; urgency=medium

  * Rebuild from git for MX-17

 -- Timothy E. Harris <maintainer@mxrepo.com>  Sun, 08 Oct 2017 13:48:13 -0400

libimobiledevice (1.2.0+dfsg-3mx15+1) mx; urgency=medium

  * Rebuild for MX-15.

 -- Steven Pusser <stevep@mxlinux.org>  Tue, 22 Nov 2016 11:02:27 -0800

libimobiledevice (1.2.0+dfsg-3) unstable; urgency=high

  * Team upload
  * [3b56a55] Import patch to make sockets listen locally.
    Fixes CVE-2016-5104 (Closes: #825553)
  * [754e9a1] Fix FTBFS with new gnutls

 -- Chow Loong Jin <hyperair@debian.org>  Thu, 02 Jun 2016 00:10:46 +0800

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: libimobiledevice
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+Maintainer: Steven Pusser <stevep@mxlinux.org>
+Bugs: mailto: <stevep@mxlinux.org>
 XSBC-Original-Maintainer: gtkpod Maintainers <pkg-gtkpod-devel@lists.alioth.debian.org>
 Uploaders: Julien Lavergne <julien.lavergne@gmail.com>
 Standards-Version: 3.9.6
@@ -19,6 +20,7 @@
                libtasn1-6-dev (>= 1.1),
                libreadline-dev,
                python-plist (>= 1.8-2~),
+               libssl1.0-dev,
                dh-autoreconf
 X-Python-Version: >= 2.3
 Homepage: http://libimobiledevice.org/

=== debian/rules ===
--- 
+++ 
@@ -6,11 +6,11 @@
 		--prefix=/usr \
 		--sysconfdir=/etc \
 		--enable-dev-tools \
-		--disable-openssl \
+		--enable-openssl \
 		--disable-silent-rules
 
 %:
-	dh $@ --with=python2,autoreconf
+	dh $@ --with=python2,autoreconf --parallel
 
 override_dh_auto_configure:
 	dh_auto_configure -- 	$(configure_flags)
@@ -33,6 +33,3 @@
 override_dh_python2:
 	# Only build for the current version of python, not all supported.
 	dh_python2 --no-guessing-versions
-
-override_dh_makeshlibs:
-	dh_makeshlibs -- -c4

## libimobiledevice 1.2.0.dfsg

=== debian/changelog ===
libimobiledevice (1.2.0.dfsg-3~bpo8) jessie; urgency=medium

  * Rebuild for Debian 8 Jessie.

 -- Steven Pusser <stevep@mxlinux.org>  Tue, 22 Nov 2016 11:02:27 -0800

=== debian/control ===
--- 
+++ 
@@ -20,7 +20,6 @@
                libtasn1-6-dev (>= 1.1),
                libreadline-dev,
                python-plist (>= 1.8-2~),
-               libssl1.0-dev,
                dh-autoreconf
 X-Python-Version: >= 2.3
 Homepage: http://libimobiledevice.org/

## libimobiledevice 1.2.1~git20171128.5a854327+dfsg

=== docs/Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
-# Makefile.in generated by automake 1.13.4 from Makefile.am.
+# Makefile.in generated by automake 1.15.1 from Makefile.am.
 # docs/Makefile.  Generated from Makefile.in by configure.
 
-# Copyright (C) 1994-2013 Free Software Foundation, Inc.
+# Copyright (C) 1994-2017 Free Software Foundation, Inc.
 
 # This Makefile.in is free software; the Free Software Foundation
 # gives unlimited permission to copy and/or distribute it,
@@ -14,7 +14,17 @@
 
 
 
-am__is_gnu_make = test -n '$(MAKEFILE_LIST)' && test -n '$(MAKELEVEL)'
+am__is_gnu_make = { \
+  if test -z '$(MAKELEVEL)'; then \
+    false; \
+  elif test -n '$(MAKE_HOST)'; then \
+    true; \
+  elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
+    true; \
+  else \
+    false; \
+  fi; \
+}
 am__make_running_with_option = \
   case $${target_option-} in \
       ?) ;; \
@@ -75,20 +85,21 @@
 NORMAL_UNINSTALL = :
 PRE_UNINSTALL = :
 POST_UNINSTALL = :
-build_triplet = i686-pc-linux-gnu
-host_triplet = i686-pc-linux-gnu
+build_triplet = x86_64-pc-linux-gnu
+host_triplet = x86_64-pc-linux-gnu
 subdir = docs
-DIST_COMMON = $(srcdir)/Makefile.in $(srcdir)/Makefile.am
 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
 am__aclocal_m4_deps = $(top_srcdir)/m4/ac_pkg_cython.m4 \
 	$(top_srcdir)/m4/ac_python_devel.m4 \
 	$(top_srcdir)/m4/as-compiler-flag.m4 \
+	$(top_srcdir)/m4/ax_pthread.m4 \
 	$(top_srcdir)/m4/cython_python.m4 $(top_srcdir)/m4/libtool.m4 \
 	$(top_srcdir)/m4/ltoptions.m4 $(top_srcdir)/m4/ltsugar.m4 \
 	$(top_srcdir)/m4/ltversion.m4 $(top_srcdir)/m4/lt~obsolete.m4 \
 	$(top_srcdir)/configure.ac
 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
 	$(ACLOCAL_M4)
+DIST_COMMON = $(srcdir)/Makefile.am $(am__DIST_COMMON)
 mkinstalldirs = $(install_sh) -d
 CONFIG_HEADER = $(top_builddir)/config.h
 CONFIG_CLEAN_FILES =
@@ -144,15 +155,16 @@
 NROFF = nroff
 MANS = $(man_MANS)
 am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
+am__DIST_COMMON = $(srcdir)/Makefile.in
 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
-ACLOCAL = ${SHELL} /home/mszulecki/Documents/Software/libimobiledevice/missing aclocal-1.13
+ACLOCAL = ${SHELL} /home/corsac/projets/iphone/libimobiledevice/missing aclocal-1.15
 AMTAR = $${TAR-tar}
 AM_DEFAULT_VERBOSITY = 0
 AR = ar
-AUTOCONF = ${SHELL} /home/mszulecki/Documents/Software/libimobiledevice/missing autoconf
-AUTOHEADER = ${SHELL} /home/mszulecki/Documents/Software/libimobiledevice/missing autoheader
-AUTOMAKE = ${SHELL} /home/mszulecki/Documents/Software/libimobiledevice/missing automake-1.13
-AWK = gawk
+AUTOCONF = ${SHELL} /home/corsac/projets/iphone/libimobiledevice/missing autoconf
+AUTOHEADER = ${SHELL} /home/corsac/projets/iphone/libimobiledevice/missing autoheader
+AUTOMAKE = ${SHELL} /home/corsac/projets/iphone/libimobiledevice/missing automake-1.15
+AWK = mawk
 CC = gcc
 CCDEPMODE = depmode=gcc3
 CFLAGS = -g -O2
@@ -166,7 +178,7 @@
 CYTHON = /usr/bin/cython
 CYTHON_LIB = 
 CYTHON_PLIST_INCLUDE_DIR = /usr/include/plist/cython
-CYTHON_PYTHON_CPPFLAGS = -I/usr/include/python2.7
+CYTHON_PYTHON_CPPFLAGS = -I/usr/include/python2.7 -I/usr/include/x86_64-linux-gnu/python2.7
 CYTHON_PYTHON_OPT = -python
 CYTHON_SUB = cython
 DEFS = -DHAVE_CONFIG_H
@@ -177,19 +189,19 @@
 ECHO_C = 
 ECHO_N = -n
 ECHO_T = 
-EGREP = /usr/bin/grep -E
+EGREP = /bin/grep -E
 EXEEXT = 
-FGREP = /usr/bin/grep -F
+FGREP = /bin/grep -F
 GLOBAL_CFLAGS =   -Wall -Wextra -Wmissing-declarations -Wredundant-decls -Wshadow -Wpointer-arith -Wwrite-strings -Wswitch-default -Wno-unused-parameter -fsigned-char -fvisibility=hidden
-GREP = /usr/bin/grep
+GREP = /bin/grep
 INSTALL = /usr/bin/install -c
 INSTALL_DATA = ${INSTALL} -m 644
 INSTALL_PROGRAM = ${INSTALL}
 INSTALL_SCRIPT = ${INSTALL}
 INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
-LD = /usr/i586-suse-linux/bin/ld
+LD = /usr/bin/ld -m elf_x86_64
 LDFLAGS = 
-LFS_CFLAGS =  -D_FILE_OFFSET_BITS=64 -D_LARGE_FILES=1
+LFS_CFLAGS =  -D_LARGE_FILES=1
 LIBIMOBILEDEVICE_SO_VERSION = 6:0:0
 LIBOBJS = 
 LIBPLISTMM_VERSION = 1.11
@@ -200,9 +212,10 @@
 LIPO = 
 LN_S = ln -s
 LTLIBOBJS = 
-MAKEINFO = ${SHELL} /home/mszulecki/Documents/Software/libimobiledevice/missing makeinfo
+LT_SYS_LIBRARY_PATH = 
+MAKEINFO = ${SHELL} /home/corsac/projets/iphone/libimobiledevice/missing makeinfo
 MANIFEST_TOOL = :
-MKDIR_P = /usr/bin/mkdir -p
+MKDIR_P = /bin/mkdir -p
 NM = /usr/bin/nm -B
 NMEDIT = 
 OBJDUMP = objdump
@@ -212,35 +225,37 @@
 PACKAGE = libimobiledevice
 PACKAGE_BUGREPORT = https://github.com/libimobiledevice/libimobiledevice/issues
 PACKAGE_NAME = libimobiledevice
-PACKAGE_STRING = libimobiledevice 1.2.0
+PACKAGE_STRING = libimobiledevice 1.2.1
 PACKAGE_TARNAME = libimobiledevice
 PACKAGE_URL = http://libimobiledevice.org
-PACKAGE_VERSION = 1.2.0
+PACKAGE_VERSION = 1.2.1
 PATH_SEPARATOR = :
 PKG_CONFIG = /usr/bin/pkg-config
 PKG_CONFIG_LIBDIR = 
 PKG_CONFIG_PATH = 
+PTHREAD_CC = gcc
+PTHREAD_CFLAGS = -pthread
+PTHREAD_LIBS = 
 PYTHON = /usr/bin/python
-PYTHON_CPPFLAGS = -I/usr/include/python2.7
+PYTHON_CPPFLAGS = -I/usr/include/python2.7 -I/usr/include/x86_64-linux-gnu/python2.7
 PYTHON_EXEC_PREFIX = ${exec_prefix}
-PYTHON_EXTRA_LDFLAGS = -Xlinker -export-dynamic
-PYTHON_EXTRA_LIBS = ('', '-lpthread -ldl  -lutil')
-PYTHON_LDFLAGS = -L/usr/lib/python2.7 -lpython2.7
+PYTHON_EXTRA_LDFLAGS = -Xlinker -export-dynamic -Wl,-O1 -Wl,-Bsymbolic-functions
+PYTHON_EXTRA_LIBS = ('-L/usr/lib -lz', '-lpthread -ldl  -lutil')
+PYTHON_LDFLAGS = -L/usr/lib/python2.7/config-x86_64-linux-gnu -L/usr/lib -lpython2.7 -lpthread -ldl  -lutil -lm  -Xlinker -export-dynamic -Wl,-O1 -Wl,-Bsymbolic-functions
 PYTHON_PLATFORM = linux2
 PYTHON_PREFIX = ${prefix}
-PYTHON_SITE_PKG = /usr/lib/python2.7/site-packages
+PYTHON_SITE_PKG = /usr/lib/python2.7/dist-packages
 PYTHON_VERSION = 2.7
 RANLIB = ranlib
-SED = /usr/bin/sed
+SED = /bin/sed
 SET_MAKE = 
-SHELL = /bin/sh
+SHELL = /bin/bash
 STRIP = strip
-VERSION = 1.2.0
-WINDRES = 
-abs_builddir = /home/mszulecki/Documents/Software/libimobiledevice/docs
-abs_srcdir = /home/mszulecki/Documents/Software/libimobiledevice/docs
-abs_top_builddir = /home/mszulecki/Documents/Software/libimobiledevice
-abs_top_srcdir = /home/mszulecki/Documents/Software/libimobiledevice
+VERSION = 1.2.1
+abs_builddir = /home/corsac/projets/iphone/libimobiledevice/docs
+abs_srcdir = /home/corsac/projets/iphone/libimobiledevice/docs
+abs_top_builddir = /home/corsac/projets/iphone/libimobiledevice
+abs_top_srcdir = /home/corsac/projets/iphone/libimobiledevice
 ac_ct_AR = ar
 ac_ct_CC = gcc
 ac_ct_CXX = g++
@@ -250,10 +265,11 @@
 am__quote = 
 am__tar = $${TAR-tar} chof - "$$tardir"
 am__untar = $${TAR-tar} xf -
+ax_pthread_config = 
 bindir = ${exec_prefix}/bin
-build = i686-pc-linux-gnu
+build = x86_64-pc-linux-gnu
 build_alias = 
-build_cpu = i686
+build_cpu = x86_64
 build_os = linux-gnu
 build_vendor = pc
 builddir = .
@@ -262,44 +278,44 @@
 docdir = ${datarootdir}/doc/${PACKAGE_TARNAME}
 dvidir = ${docdir}
 exec_prefix = ${prefix}
-host = i686-pc-linux-gnu
+host = x86_64-pc-linux-gnu
 host_alias = 
-host_cpu = i686
+host_cpu = x86_64
 host_os = linux-gnu
 host_vendor = pc
 htmldir = ${docdir}
 includedir = ${prefix}/include
 infodir = ${datarootdir}/info
-install_sh = ${SHELL} /home/mszulecki/Documents/Software/libimobiledevice/install-sh
+install_sh = ${SHELL} /home/corsac/projets/iphone/libimobiledevice/install-sh
 libdir = ${exec_prefix}/lib
-libexecdir = ${exec_prefix}/lib
+libexecdir = ${exec_prefix}/libexec
 libgcrypt_LIBS = 
 libgnutls_CFLAGS = 
 libgnutls_LIBS = 
-libplist_CFLAGS = -I/usr/include/libxml2 
-libplist_LIBS = -lplist 
-libplistmm_CFLAGS = -I/usr/include/libxml2 
-libplistmm_LIBS = -lplist++ -lplist 
-libpthread_LIBS = -lpthread
+libplist_CFLAGS = 
+libplist_LIBS = -lplist
+libplistmm_CFLAGS = 
+libplistmm_LIBS = -lplist++
 libtasn1_CFLAGS = 
 libtasn1_LIBS = 
 libusbmuxd_CFLAGS = 
-libusbmuxd_LIBS = -lusbmuxd 
+libusbmuxd_LIBS = -lusbmuxd
 localedir = ${datarootdir}/locale
 localstatedir = ${prefix}/var
 mandir = ${datarootdir}/man
 mkdir_p = $(MKDIR_P)
 oldincludedir = /usr/include
-openssl_CFLAGS = -DOPENSSL_LOAD_CONF 
-openssl_LIBS = -lssl -lcrypto 
+openssl_CFLAGS = 
+openssl_LIBS = -lssl -lcrypto
 pdfdir = ${docdir}
 pkgpyexecdir = ${pyexecdir}/libimobiledevice
 pkgpythondir = ${pythondir}/libimobiledevice
-prefix = /usr
+prefix = /home/corsac/projets/iphone/usr
 program_transform_name = s,x,x,
 psdir = ${docdir}
 pyexecdir = ${exec_prefix}/lib/python2.7/site-packages
 pythondir = ${prefix}/lib/python2.7/site-packages
+runstatedir = ${localstatedir}/run
 sbindir = ${exec_prefix}/sbin
 sharedstatedir = ${prefix}/com
 srcdir = .
@@ -327,7 +343,6 @@
 	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign docs/Makefile'; \
 	$(am__cd) $(top_srcdir) && \
 	  $(AUTOMAKE) --foreign docs/Makefile
-.PRECIOUS: Makefile
 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
 	@case '$?' in \
 	  *config.status*) \
@@ -342,20 +357,3 @@
 
 $(top_srcdir)/configure:  $(am__configure_deps)
 	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
-$(ACLOCAL_M4):  $(am__aclocal_m4_deps)
-	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
-$(am__aclocal_m4_deps):
-
-mostlyclean-libtool:
-	-rm -f *.lo
-
-clean-libtool:
-	-rm -rf .libs _libs
-install-man1: $(man_MANS)
-	@$(NORMAL_INSTALL)
-	@list1=''; \
-	list2='$(man_MANS)'; \
-	test -n "$(man1dir)" \
-	  && test -n "`echo $$list1$$list2`" \
-	  || exit 0; \
-	echo " $(MKDIR_P) '$(DESTDIR)$(man1dir)'"; \

=== debian/changelog ===
libimobiledevice (1.2.1~git20171128.5a854327+dfsg-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * New upstream snapshot 1.2.1~git20171128.5a854327+dfsg
    - fix compatibility with iOS 11 (closes: #881486)
    - fix installation_proxy when using GnuTLS (closes: #852860)
  * Drop 02-fix-link-errors.patch
  * Drop local-only-sockets.patch
  * Drop gnutls-api-update.patch
  * Drop fix-ssl-version-negotiation-for-newer-versions-of-openssl.diff
  * Drop idevice-update-gnutls-code-to-support-ios-10.diff
  * Drop userpref-gnutls-fix-pairing-record-generation...
  * d/p/09_use_python_config removed
  * update symbols for new release
  * d/gbp.conf: update section name to buildpackage
  * d/control: update standards version to 4.1.2
  * d/control: make python-imobiledevice depend on python-plist
    (closes: #881486)
  * d/s/lintian-overrides: add override for menu.js long lines

 -- Yves-Alexis Perez <corsac@debian.org>  Wed, 06 Dec 2017 13:57:36 +0100

libimobiledevice (1.2.0+dfsg-3.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Switch to debhelper compat level 10
    - autoreconf is invoked by default, do not build-depend on
      dh-autoreconf and do not invoke dh with that argument
    - Use automatic dbgsym packages, drop -dbg
    - Remove DM-Upload-Allowed field in d/control

  [ Helmut Grohne ]
  * Remove wrong Multi-Arch: foreign from libimobiledevice-dev
    (Closes: #842474)

 -- Manuel A. Fernandez Montecelo <mafm@debian.org>  Thu, 02 Nov 2017 22:55:29 +0100

libimobiledevice (1.2.0+dfsg-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Upstream commits replacing SSL3.0 with TLS1.0. Closes: #840931, #847977.
    Also fix related bug in GNUTLS pairing record generation, see
    https://github.com/libimobiledevice/libimobiledevice/issues/413.

 -- Nicolas Boulenguez <nicolas@debian.org>  Tue, 03 Jan 2017 01:32:36 +0100

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,10 @@
 Source: libimobiledevice
 Section: libs
 Priority: optional
-Maintainer: Steven Pusser <stevep@mxlinux.org>
-Bugs: mailto: <stevep@mxlinux.org>
-XSBC-Original-Maintainer: gtkpod Maintainers <pkg-gtkpod-devel@lists.alioth.debian.org>
+Maintainer: gtkpod Maintainers <pkg-gtkpod-devel@lists.alioth.debian.org>
 Uploaders: Julien Lavergne <julien.lavergne@gmail.com>
-Standards-Version: 3.9.6
-Build-Depends: debhelper (>= 9),
+Standards-Version: 4.1.2
+Build-Depends: debhelper (>= 10~),
                dh-python,
                libgnutls28-dev,
                libgcrypt20-dev,
@@ -20,12 +18,10 @@
                libtasn1-6-dev (>= 1.1),
                libreadline-dev,
                python-plist (>= 1.8-2~),
-               dh-autoreconf
 X-Python-Version: >= 2.3
 Homepage: http://libimobiledevice.org/
 Vcs-Git: git://git.debian.org/git/pkg-gtkpod/packages/libimobiledevice.git
 Vcs-Browser: http://git.debian.org/?p=pkg-gtkpod/packages/libimobiledevice.git
-DM-Upload-Allowed: yes
 
 Package: libimobiledevice6
 Architecture: any
@@ -44,7 +40,6 @@
 
 Package: libimobiledevice-dev
 Architecture: any
-Multi-Arch: foreign
 Section: libdevel
 Depends: libimobiledevice6 (= ${binary:Version}),
          ${misc:Depends},
@@ -61,31 +56,13 @@
  .
  This package contains the development files.
 
-Package: libimobiledevice6-dbg
-Architecture: any
-Multi-Arch: same
-Section: debug
-Priority: extra
-Pre-Depends: ${misc:Pre-Depends}
-Depends: libimobiledevice6 (= ${binary:Version}),
-         ${misc:Depends}
-Conflicts: libimobiledevice3-dbg, libimobiledevice2-dbg,
-  libimobiledevice1-dbg, libimobiledevice0-dbg
-Replaces: libimobiledevice3-dbg, libimobiledevice2-dbg,
-  libimobiledevice1-dbg, libimobiledevice0-dbg
-Description: Library for communicating with iPhone and iPod Touch devices
- libimobiledevice is a library that talks the native Apple USB protocols that
- the iPhone and iPod Touch use. Unlike other projects, libimobiledevice does
- not depend on using any existing libraries from Apple.
- .
- This package contains the debugging symbols.
-
 Package: python-imobiledevice
 Section: python
 Architecture: any
 Depends: ${shlibs:Depends},
          ${misc:Depends},
-         ${python:Depends}
+         ${python:Depends},
+         python-plist
 Provides: ${python:Provides}
 Conflicts: python-libiphone, python-iphone
 Replaces: python-libiphone, python-iphone

=== debian/rules ===
--- 
+++ 
@@ -6,14 +6,14 @@
 		--prefix=/usr \
 		--sysconfdir=/etc \
 		--enable-dev-tools \
-		--enable-openssl \
+		--disable-openssl \
 		--disable-silent-rules
 
 %:
-	dh $@ --with=python2,autoreconf --parallel
+	dh $@ --with=python2 --dbgsym-migration=libimobiledevice6-dbg
 
 override_dh_auto_configure:
-	dh_auto_configure -- 	$(configure_flags)
+	dh_auto_configure -- $(configure_flags)
 
 override_dh_install:
 	#Remove .la files.
@@ -27,9 +27,9 @@
 	rm -f $(CURDIR)/debian/tmp/usr/share/man/man1/*.1
 	dh_install --fail-missing
 
-override_dh_strip:
-	dh_strip --dbg-package=libimobiledevice6-dbg
-
 override_dh_python2:
 	# Only build for the current version of python, not all supported.
 	dh_python2 --no-guessing-versions
+
+override_dh_makeshlibs:
+	dh_makeshlibs -- -c4

## libimobiledevice 1.2.1~git20180302.3a37a4e

=== debian/changelog ===
libimobiledevice (1.2.1~git20180302.3a37a4e-1~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Sean Whitton <spwhitton@spwhitton.name>  Sun, 24 Jun 2018 15:13:55 +0100

libimobiledevice (1.2.1~git20180302.3a37a4e-1) unstable; urgency=medium

  * d/rules: only build docs for arch:indep builds (fix FTBFS)
  * d/control: drop Julien from uploaders and add myself (closes: #852389)

 -- Yves-Alexis Perez <corsac@debian.org>  Mon, 05 Mar 2018 16:24:54 +0100

libimobiledevice (1.2.1~git20180302.3a37a4e-0.1) unstable; urgency=medium

  * Non-maintainer upload
  * d/control: add doxygen to build-dep-indep
  * d/rules: (re)generate docs at build time
  * New upstream version 1.2.1~git20180302.3a37a4e

 -- Yves-Alexis Perez <corsac@debian.org>  Fri, 02 Mar 2018 22:08:43 +0100

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: libs
 Priority: optional
 Maintainer: gtkpod Maintainers <pkg-gtkpod-devel@lists.alioth.debian.org>
-Uploaders: Julien Lavergne <julien.lavergne@gmail.com>
+Uploaders: Yves-Alexis Perez <corsac@debian.org>
 Standards-Version: 4.1.2
 Build-Depends: debhelper (>= 10~),
                dh-python,
@@ -18,6 +18,7 @@
                libtasn1-6-dev (>= 1.1),
                libreadline-dev,
                python-plist (>= 1.8-2~),
+Build-Depends-Indep: doxygen
 X-Python-Version: >= 2.3
 Homepage: http://libimobiledevice.org/
 Vcs-Git: git://git.debian.org/git/pkg-gtkpod/packages/libimobiledevice.git

=== debian/rules ===
--- 
+++ 
@@ -14,6 +14,12 @@
 
 override_dh_auto_configure:
 	dh_auto_configure -- $(configure_flags)
+
+override_dh_auto_build-indep:
+	dh_auto_build
+	make docs
+	# remove doxygen jquery.js, we link to doxygen-provided file
+	rm -f $(CURDIR)/docs/html/jquery.js
 
 override_dh_install:
 	#Remove .la files.
